/*
 * Copyright 2020. Huawei Technologies Co., Ltd. All rights reserved.
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package com.huawei.hms.nearby.beaconcanteen.constants;

/**
 * Constant
 *
 * @since 2019-12-13
 */
public final class Constant {
    /**
     * Canteen Name Str
     */
    public static final String CANTEEN_NAME = "canteenName";
    /**
     * Channel Id
     */
    public static final String CHANNEL_ID = "canteen";
    /**
     * Channel Name
     */
    public static final String CHANNEL_NAME = "Set meal recommend";
    /**
     * Canteen A Name
     */
    public static final String CANTEEN_A_NAME = "Canteen A";
    /**
     * Canteen B Name
     */
    public static final String CANTEEN_B_NAME = "Canteen B";
    /**
     * Canteen C Name
     */
    public static final String CANTEEN_C_NAME = "Canteen C";
    /**
     * Canteen A Request Code
     */
    public static final int CANTEEN_A_REQUEST_CODE = 0;
    /**
     * Canteen B Request Code
     */
    public static final int CANTEEN_B_REQUEST_CODE = 0;
    /**
     * Canteen C Request Code
     */
    public static final int CANTEEN_C_REQUEST_CODE = 0;
    /**
     * Notice Str
     */
    public static final String NOTICE = "notice";
    /**
     * Canteen Str
     */
    public static final String CANTEEN = "canteen";
    /**
     * Notification title
     */
    public static final String NOTIFICATION_TITLE = "Discover a new canteen";
    /**
     * Notification subtitle
     */
    public static final String NOTIFICATION_SUBTITLE = "Click \"View Details\" for more information.";
    /**
     * Bluetooth warn
     */
    public static final String BLUETOOTH_WARN =
            "Bluetooth is disconnected, this operation will cause the application to be out of normal use!";
    /**
     * Bluetooth error
     */
    public static final String BLUETOOTH_ERROR = "Bluetooth is invalid! Turn on Bluetooth and run this app again.";
    /**
     * Network error
     */
    public static final String NETWORK_ERROR =
            "No Internet access! Make sure you have Internet access and run this app again.";
    /**
     * Network warn
     */
    public static final String NETWORK_WARN =
            "The network is disconnected, this operation will cause the application to be out of normal use!";
    /**
     * Gps warn
     */
    public static final String GPS_WARN =
            "GPS is turned off, this operation will cause the application to be out of normal use!";
    /**
     * Gps error
     */
    public static final String GPS_ERROR = "GPS is invalid! Turn on GPS and run this app again.";

    private Constant() {}
}
